#
# spec file for package perl-File-MimeInfo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-MimeInfo
Version:        0.28
Release:        lp150.1.3
%define cpan_name File-MimeInfo
Summary:        Determine file type from the file name
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-MimeInfo/
Source0:        http://www.cpan.org/authors/id/M/MI/MICHIELB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::BaseDir) >= 0.03
BuildRequires:  perl(File::DesktopEntry) >= 0.04
%{perl_requires}
# MANUAL BEGIN
Requires:       perl(File::BaseDir) >= 0.03
# MANUAL END

%description
This module can be used to determine the mime type of a file. It tries to
implement the freedesktop specification for a shared MIME database.

For this module shared-mime-info-spec 0.13 was used.

This package only uses the globs file. No real magic checking is used. The
File::MimeInfo::Magic package is provided for magic typing.

If you want to determine the mimetype of data in a memory buffer you should
use File::MimeInfo::Magic in combination with IO::Scalar.

This module loads the various data files when needed. If you want to hash
data earlier see the 'rehash' methods below.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes mimeopen mimetype README.md

%changelog
* Mon Nov 28 2016 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-File-MimeInfo/Changes
  0.28  2016-11-27
  - Follow the current mime-apps-spec (fixes #8, #20)
    The current version of the mime-apps spec locates the per-user defaults
    file in `$XDG_CONFIG_HOME/mimeapps.list`. Use that location, and fall
    back to the per-system and distribution defaults as specified, with the
    previous legacy defaults file as a final fallback.
    Fix by Patrick Burroughs (Celti)
* Fri Jan 15 2016 bwiedemann@suse.com
- require File::BaseDir at runtime
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-File-MimeInfo/Changes
* Tue Sep  3 2013 jw@suse.com
- pulled version 0.18 from cpan.
- perl-5142-re-syntax.patch obsoleted.
* Mon Nov 21 2011 jw@suse.com
- added perl-5142-re-syntax.patch;
  taken from https://rt.cpan.org/Public/Bug/Display.html?id=66841
  test suite now compatible to perl-5.14.2
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 13 2010 jw@novell.com
- recreated specfile with cpanspec 1.78
- should now also work on SLES_10
* Tue Aug 24 2010 jw@novell.com
- added Requires: shared-mime-info
* Mon Jun 28 2010 jw@novell.com
- added Requires: perl(File::BaseDir)
* Sat Jun 26 2010 jw@novell.com
- 0.15, initial checkin
